import Bowser from 'bowser';
const browser = typeof window === 'object' ? Bowser.getParser(window.navigator.userAgent) : null;
export function gerWindowBorder() {
    switch (browser === null || browser === void 0 ? void 0 : browser.getOSName(true)) {
        case 'windows': {
            let result;
            switch (browser.getBrowserName(true)) {
                case 'firefox':
                    result = [68, 8, 8];
                    break;
                case 'microsoft edge':
                    result = [62, 8, 8];
                    break;
                //case 'chrome':
                default:
                    result = [60, 8, 8];
            }
            if (window.devicePixelRatio > 1) {
                result[0] -= 2;
                result[1] -= 1;
                result[2] -= 1;
            }
            return result;
        }
        case 'macos': {
            switch (browser.getBrowserName(true)) {
                case 'safari':
                    return [22, 0, 0];
                case 'firefox':
                    return [59, 0, 0];
                //case 'chrome':
                default:
                    return [51, 0, 0];
            }
        }
    }
    return [60, 8, 8];
}
export const isSafari = (browser === null || browser === void 0 ? void 0 : browser.getBrowserName(true)) === 'safari';
export const popupSupported = (browser === null || browser === void 0 ? void 0 : browser.getPlatformType()) === 'desktop';
export const popupWindowBorder = gerWindowBorder();
